> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quest Completions

> Get quest completions from your community



## OpenAPI

````yaml GET /v1/community/quest-completions
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/quest-completions:
    get:
      description: Get quest completions from your community
      parameters:
        - in: header
          name: x-api-key
          schema:
            $ref: '#/components/schemas/__schema0'
          required: true
          description: Your community API key
        - in: query
          name: questId
          schema:
            anyOf:
              - description: ID of the quest to filter completions by
                type: string
              - type: 'null'
        - in: query
          name: iteration
          schema:
            anyOf:
              - description: Quest round number to filter the completions by
                type: integer
                minimum: 1
                maximum: 9007199254740991
              - type: 'null'
        - in: query
          name: userId
          schema:
            anyOf:
              - description: ID of the user to filter the completions by
                type: string
              - type: 'null'
        - in: query
          name: startTime
          schema:
            anyOf:
              - description: >-
                  Get completions that happened after this unix timestamp (in
                  milliseconds)
                type: number
              - type: 'null'
        - in: query
          name: endTime
          schema:
            anyOf:
              - description: >-
                  Get completions that happened until this unix timestamp (in
                  milliseconds)
                type: number
              - type: 'null'
        - in: query
          name: offset
          schema:
            default: 0
            type: number
            minimum: 0
        - in: query
          name: limit
          schema:
            default: 20
            type: number
            minimum: 0
            maximum: 50
      responses:
        '200':
          description: Quest completions have been retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    description: Quest completions matching the query
                    type: array
                    items:
                      example:
                        questId: 019c4f09-ae2f-73c7-aa2d-ed7421cdd850
                        iteration: 1
                        userId: '328218133074804739'
                        timestamp: 1770899580000
                        source:
                          platform: DISCORD
                          guildId: '1102183639791452242'
                          channelId: '1471246773266681982'
                        taskIds:
                          - 69183000-fb2a-44e1-b83e-245fa652dc6c
                        verificationData:
                          - type: DISCORD_ACCOUNT_AGE
                            taskId: 69183000-fb2a-44e1-b83e-245fa652dc6c
                            accountAgeDays: 1645
                            accountUsername: boaven
                        rewardMultiplier: 1
                      type: object
                      properties:
                        questId:
                          description: ID of the quest that was completed
                          type: string
                        iteration:
                          description: Quest round number when this completion occurred
                          type: number
                        userId:
                          description: ID of the user who completed the quest
                          type: string
                        timestamp:
                          description: >-
                            Unix timestamp (in milliseconds) when the quest was
                            completed
                          type: number
                        source:
                          description: >-
                            Source information about where/how the quest was
                            completed
                          type: object
                          properties:
                            platform:
                              type: string
                              const: DISCORD
                            guildId:
                              type: string
                            channelId:
                              type: string
                          required:
                            - platform
                            - guildId
                            - channelId
                          additionalProperties: false
                        taskIds:
                          description: >-
                            Array of task IDs that were completed as part of
                            this quest
                          type: array
                          items:
                            type: string
                        verificationData:
                          description: Array of verification data for each completed task
                          type: array
                          items:
                            allOf:
                              - oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: API
                                      verificationData:
                                        description: >-
                                          Verification data returned by the API
                                          endpoint.
                                        anyOf:
                                          - type: object
                                            propertyNames:
                                              type: string
                                            additionalProperties: {}
                                          - type: 'null'
                                    required:
                                      - type
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: DISCORD_ACCOUNT_AGE
                                      accountUsername:
                                        type: string
                                      accountAgeDays:
                                        type: number
                                    required:
                                      - type
                                      - accountUsername
                                      - accountAgeDays
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: FILE_UPLOAD
                                      file:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          name:
                                            type: string
                                          createdAt:
                                            type: number
                                          mimeType:
                                            type: string
                                          size:
                                            type: number
                                        required:
                                          - id
                                          - name
                                          - createdAt
                                          - mimeType
                                          - size
                                        additionalProperties: false
                                    required:
                                      - type
                                      - file
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: NFT_BALANCE
                                      balances:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            chain:
                                              type: string
                                              enum:
                                                - Abstract
                                                - ApeChain
                                                - Arbitrum
                                                - Atto
                                                - Avalanche
                                                - Base
                                                - Berachain
                                                - Blast
                                                - BSC
                                                - CosmosHub
                                                - Cronos
                                                - Ethereum
                                                - Harmony
                                                - HyperCore
                                                - HyperEvm
                                                - Initia
                                                - Injective
                                                - Intergaze
                                                - Linea
                                                - Mitosis
                                                - Nano
                                                - Nibiru
                                                - Optimism
                                                - Osmosis
                                                - Plasma
                                                - Polygon
                                                - SEDA
                                                - Sei
                                                - SeiEvm
                                                - Solana
                                                - Somnia
                                                - Sonic
                                                - Stargaze
                                                - Terra
                                                - Unichain
                                                - Yominet
                                                - Zaar
                                                - zkCronos
                                            address:
                                              type: string
                                            isFlipwallet:
                                              type: boolean
                                            walletBalance:
                                              type: number
                                            stakedBalances:
                                              type: object
                                              propertyNames:
                                                type: string
                                              additionalProperties:
                                                type: number
                                          required:
                                            - chain
                                            - address
                                            - walletBalance
                                            - stakedBalances
                                          additionalProperties: false
                                    required:
                                      - type
                                      - balances
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: NUMBER_INPUT
                                      value:
                                        type: number
                                    required:
                                      - type
                                      - value
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: POINTS_BALANCE
                                      balance:
                                        type: string
                                    required:
                                      - type
                                      - balance
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: POINTS_TIP
                                      transactions:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            txId:
                                              type: string
                                            actionType:
                                              type: string
                                              enum:
                                                - AIRDROP
                                                - BURN
                                                - CREDIT
                                                - DEBIT
                                                - IMPORT
                                                - RAFFLE
                                                - REWARD
                                                - STOREFRONT_PURCHASE
                                                - STOREFRONT_SPEND
                                                - SWAP_INPUT
                                                - SWAP_OUTPUT
                                                - TIP
                                            amount:
                                              type: string
                                            timestamp:
                                              type: number
                                          required:
                                            - txId
                                            - actionType
                                            - amount
                                            - timestamp
                                          additionalProperties: false
                                    required:
                                      - type
                                      - transactions
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: POLL_INPUT
                                      selectedOptionIds:
                                        type: array
                                        items:
                                          type: string
                                    required:
                                      - type
                                      - selectedOptionIds
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TOKEN_SWAP
                                      transactions:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            chain:
                                              type: string
                                              enum:
                                                - Abstract
                                                - ApeChain
                                                - Arbitrum
                                                - Atto
                                                - Avalanche
                                                - Base
                                                - Berachain
                                                - Blast
                                                - BSC
                                                - CosmosHub
                                                - Cronos
                                                - Ethereum
                                                - Harmony
                                                - HyperCore
                                                - HyperEvm
                                                - Initia
                                                - Injective
                                                - Intergaze
                                                - Linea
                                                - Mitosis
                                                - Nano
                                                - Nibiru
                                                - Optimism
                                                - Osmosis
                                                - Plasma
                                                - Polygon
                                                - SEDA
                                                - Sei
                                                - SeiEvm
                                                - Solana
                                                - Somnia
                                                - Sonic
                                                - Stargaze
                                                - Terra
                                                - Unichain
                                                - Yominet
                                                - Zaar
                                                - zkCronos
                                            txHash:
                                              type: string
                                          required:
                                            - chain
                                            - txHash
                                          additionalProperties: false
                                    required:
                                      - type
                                      - transactions
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TEXT_INPUT
                                      text:
                                        type: string
                                    required:
                                      - type
                                      - text
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TOKEN_TIP
                                      transactions:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            chain:
                                              type: string
                                              enum:
                                                - Abstract
                                                - ApeChain
                                                - Arbitrum
                                                - Atto
                                                - Avalanche
                                                - Base
                                                - Berachain
                                                - Blast
                                                - BSC
                                                - CosmosHub
                                                - Cronos
                                                - Ethereum
                                                - Harmony
                                                - HyperCore
                                                - HyperEvm
                                                - Initia
                                                - Injective
                                                - Intergaze
                                                - Linea
                                                - Mitosis
                                                - Nano
                                                - Nibiru
                                                - Optimism
                                                - Osmosis
                                                - Plasma
                                                - Polygon
                                                - SEDA
                                                - Sei
                                                - SeiEvm
                                                - Solana
                                                - Somnia
                                                - Sonic
                                                - Stargaze
                                                - Terra
                                                - Unichain
                                                - Yominet
                                                - Zaar
                                                - zkCronos
                                            tokenAddress:
                                              type: string
                                            tokenSymbol:
                                              type: string
                                            amount:
                                              type: number
                                            amountRaw:
                                              type: string
                                            amountUsdValue:
                                              type: number
                                            txHash:
                                              type: string
                                          required:
                                            - chain
                                            - tokenAddress
                                            - tokenSymbol
                                            - amount
                                            - amountRaw
                                            - amountUsdValue
                                            - txHash
                                          additionalProperties: false
                                    required:
                                      - type
                                      - transactions
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TOKEN_BALANCE
                                      balances:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            chain:
                                              type: string
                                              enum:
                                                - Abstract
                                                - ApeChain
                                                - Arbitrum
                                                - Atto
                                                - Avalanche
                                                - Base
                                                - Berachain
                                                - Blast
                                                - BSC
                                                - CosmosHub
                                                - Cronos
                                                - Ethereum
                                                - Harmony
                                                - HyperCore
                                                - HyperEvm
                                                - Initia
                                                - Injective
                                                - Intergaze
                                                - Linea
                                                - Mitosis
                                                - Nano
                                                - Nibiru
                                                - Optimism
                                                - Osmosis
                                                - Plasma
                                                - Polygon
                                                - SEDA
                                                - Sei
                                                - SeiEvm
                                                - Solana
                                                - Somnia
                                                - Sonic
                                                - Stargaze
                                                - Terra
                                                - Unichain
                                                - Yominet
                                                - Zaar
                                                - zkCronos
                                            address:
                                              type: string
                                            isFlipwallet:
                                              type: boolean
                                            walletBalance:
                                              type: string
                                            stakedBalances:
                                              type: object
                                              propertyNames:
                                                type: string
                                              additionalProperties:
                                                type: string
                                          required:
                                            - chain
                                            - address
                                            - walletBalance
                                            - stakedBalances
                                          additionalProperties: false
                                    required:
                                      - type
                                      - balances
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TWITTER_ACCOUNT_AGE
                                      accountHandle:
                                        type: string
                                      accountAgeDays:
                                        type: number
                                    required:
                                      - type
                                      - accountHandle
                                      - accountAgeDays
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TWITTER_ACCOUNT_FOLLOWERS
                                      accountHandle:
                                        type: string
                                      followersCount:
                                        type: number
                                    required:
                                      - type
                                      - accountHandle
                                      - followersCount
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TWITTER_POST_INTERACTION
                                      comment:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          authorHandle:
                                            type: string
                                          authorUsername:
                                            type: string
                                          authorAvatarUrl:
                                            type: string
                                          isVerified:
                                            type: boolean
                                          mediaUrl:
                                            type: string
                                          text:
                                            type: string
                                          postedAt:
                                            type: number
                                        required:
                                          - id
                                          - authorHandle
                                          - authorUsername
                                          - text
                                          - postedAt
                                        additionalProperties: false
                                    required:
                                      - type
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: TWITTER_POST_CREATE
                                      post:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          authorHandle:
                                            type: string
                                          authorUsername:
                                            type: string
                                          authorAvatarUrl:
                                            type: string
                                          isVerified:
                                            type: boolean
                                          mediaUrl:
                                            type: string
                                          postedAt:
                                            type: number
                                          text:
                                            type: string
                                        required:
                                          - id
                                          - authorHandle
                                          - authorUsername
                                          - postedAt
                                          - text
                                        additionalProperties: false
                                    required:
                                      - type
                                      - post
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: WALLET_INPUT
                                      address:
                                        type: string
                                    required:
                                      - type
                                      - address
                                    additionalProperties: false
                                type: object
                              - type: object
                                properties:
                                  taskId:
                                    type: string
                                required:
                                  - taskId
                                additionalProperties: false
                        rewardMultiplier:
                          description: Multiplier applied to rewards for this completion
                          type: number
                        submissionId:
                          description: >-
                            Optional ID of the submission if this completion
                            required manual review
                          type: string
                      required:
                        - questId
                        - iteration
                        - userId
                        - timestamp
                        - source
                        - taskIds
                        - verificationData
                        - rewardMultiplier
                      additionalProperties: false
                  pagination:
                    $ref: '#/components/schemas/__schema13'
                    description: Pagination metadata
                required:
                  - data
                  - pagination
                additionalProperties: false
components:
  schemas:
    __schema0:
      description: Your community API key
      type: string
    __schema13:
      type: object
      properties:
        offset:
          description: Offset used by the query
          type: number
        limit:
          description: Limit used by the query
          type: number
        total:
          description: Total items matching the query
          type: number
        count:
          description: Total items included in the response
          type: number
      required:
        - offset
        - limit
        - total
        - count
      additionalProperties: false

````